Bug 1029181 - [abrt] BUG: unable to handle kernel paging request at ffffc90410ef1ffc
[abrt] BUG: unable to handle kernel paging request at ffffc90410ef1ffc
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
20
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:da7ee2ae5b565203c9b3a2ad586...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-11 15:54 EST by Marc Umbricht
Modified: 2015-06-29 08:52 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-29 08:52:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: dmesg (86.37 KB, text/plain)
2013-11-11 15:54 EST, Marc Umbricht
no flags Details

  None (edit)
Description Marc Umbricht 2013-11-11 15:54:38 EST
Description of problem:
Definately not a cooling problem.  May be a problem with flash; I've only ever gotten this error while cookie clicker was running.

Additional info:
reporter:       libreport-2.1.9
BUG: unable to handle kernel paging request at ffffc90410ef1ffc
IP: [<ffffffffa014ccd8>] radeon_ring_backup+0xc8/0x160 [radeon]
PGD 1b900f067 PUD 0 
Oops: 0000 [#1] SMP 
Modules linked in: fuse bnep bluetooth rfkill nf_conntrack_netbios_ns nf_conntrack_broadcast ipt_MASQUERADE ip6t_REJECT xt_conntrack ebtable_nat ebtable_broute bridge stp llc ebtable_filter ebtables ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_security ip6table_raw ip6table_filter ip6_tables iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_mangle iptable_security iptable_raw usb_storage appledisplay coretemp kvm_intel kvm crc32c_intel i7core_edac i2c_i801 joydev snd_hda_codec_hdmi snd_hda_codec_realtek snd_hda_intel snd_hda_codec snd_hwdep snd_seq snd_seq_device snd_pcm snd_page_alloc mxm_wmi iTCO_wdt iTCO_vendor_support r8169 mii shpchp microcode serio_raw acpi_cpufreq edac_core snd_timer wmi mperf snd soundcore lpc_ich mfd_core uinput radeon i2c_algo_bit drm_kms_helper ttm firewire_ohci drm ata_generic firewire_core pata_acpi crc_itu_t pata_jmicron i2c_core
CPU: 7 PID: 1070 Comm: X Not tainted 3.11.6-201.fc19.x86_64 #1
Hardware name: Gigabyte Technology Co., Ltd. EX58-UD3R/EX58-UD3R, BIOS FB  05/04/2009
task: ffff8801b4d16ac0 ti: ffff8801abbca000 task.ti: ffff8801abbca000
RIP: 0010:[<ffffffffa014ccd8>]  [<ffffffffa014ccd8>] radeon_ring_backup+0xc8/0x160 [radeon]
RSP: 0018:ffff8801abbcbca8  EFLAGS: 00010246
RAX: ffff880074b80000 RBX: ffff8801b3a19280 RCX: 0000000000000000
RDX: ffffc90010ef2000 RSI: 0000000000000000 RDI: ffffc90410ef1ffc
RBP: ffff8801abbcbcd8 R08: 0000000000049784 R09: 0000000000000000
R10: 0000000000000094 R11: 0000000000000000 R12: 00000000ffffffff
R13: ffff8801b3a19258 R14: 00000000000125e1 R15: ffff8801abbcbd20
FS:  00007f30b8ed1980(0000) GS:ffff8801bfdc0000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 000000008005003b
CR2: ffffc90410ef1ffc CR3: 00000001a972a000 CR4: 00000000000007e0
Stack:
 ffff8801abbcbcc0 ffff8801b3a18000 ffff8801b3a19280 0000000000000000
 0000000000000000 ffff8801abbcbd20 ffff8801abbcbd78 ffffffffa011e2f7
 ffff8801b3a19280 00000001abbcbd00 ffff8801b3a18a18 ffff8801b3a18018
Call Trace:
 [<ffffffffa011e2f7>] radeon_gpu_reset+0xa7/0x240 [radeon]
 [<ffffffffa01087f1>] ? ttm_bo_wait+0x171/0x180 [ttm]
 [<ffffffffa0108fed>] ? ttm_bo_add_to_lru+0x8d/0xc0 [ttm]
 [<ffffffffa014adbe>] radeon_gem_handle_lockup.part.5+0xe/0x20 [radeon]
 [<ffffffffa014b7d8>] radeon_gem_wait_idle_ioctl+0xb8/0xd0 [radeon]
 [<ffffffffa0048142>] drm_ioctl+0x532/0x660 [drm]
 [<ffffffff8101ba71>] ? init_fpu+0x51/0xb0
 [<ffffffff8101cc08>] ? __restore_xstate_sig+0x218/0x500
 [<ffffffff811b9e3d>] do_vfs_ioctl+0x2dd/0x4b0
 [<ffffffff811ba091>] SyS_ioctl+0x81/0xa0
 [<ffffffff81656919>] system_call_fastpath+0x16/0x1b
Code: 48 85 c0 49 89 07 74 7b 41 8d 56 ff 31 c9 4c 8d 04 95 04 00 00 00 eb 06 0f 1f 00 49 8b 07 48 8b 53 08 41 8d 74 24 01 4a 8d 3c a2 <8b> 3f 89 3c 08 23 73 64 48 83 c1 04 4c 39 c1 41 89 f4 75 dc 4c 
RIP  [<ffffffffa014ccd8>] radeon_ring_backup+0xc8/0x160 [radeon]
 RSP <ffff8801abbcbca8>
CR2: ffffc90410ef1ffc
Comment 1 Marc Umbricht 2013-11-11 15:54:50 EST
Created attachment 822627 [details]
File: dmesg
Comment 2 Marc Umbricht 2013-11-18 08:01:38 EST
This crash happens without fail after a few hours (sometimes minutes) of runtime.  If I run wargame: airland battle, it crashes within minutes.  I've even had the screen go blank while in CLI.  The only way I've managed to keep it from happening is by running nomodeset.

I did a memtest, my ram has no errors.

I'm running two AMD Radeon HD 6950's, and i'm having no problems on my windows side.

Is this a problem with my setup?
Comment 3 Ian Firns 2013-11-18 20:01:09 EST
kernel: radeon 0000:01:00.0: GPU lockup CP stall for more than 10001msec
kernel: radeon 0000:01:00.0: GPU lockup (waiting for 0x0000000000000405 last fence id 0x0000000000000403)
kernel: BUG: unable to handle kernel paging request at ffffc90411980ffc
kernel: IP: [<ffffffffa00ebcd8>] radeon_ring_backup+0xc8/0x160 [radeon]
kernel: PGD 1a9028067 PUD 0 
kernel: Oops: 0000 [#1] SMP 
kernel: Modules linked in: fuse xt_CHECKSUM tun nls_utf8 cifs dns_resolver fscache nf_conntrack_netbios_ns nf_conntrack_broadcas
kernel:  snd ptp soundcore pps_core shpchp acpi_cpufreq mperf binfmt_misc uinput usb_storage radeon i2c_algo_bit drm_kms_helper firewire_ohci 
kernel: CPU: 1 PID: 1523 Comm: Xorg Not tainted 3.11.8-200.fc19.x86_64 #1
kernel: Hardware name: Dell Inc. Vostro 400/0GN723, BIOS 1.0.13 03/21/2008
kernel: task: ffff880193741e80 ti: ffff88018ee4e000 task.ti: ffff88018ee4e000
kernel: RIP: 0010:[<ffffffffa00ebcd8>]  [<ffffffffa00ebcd8>] radeon_ring_backup+0xc8/0x160 [radeon]
kernel: RSP: 0018:ffff88018ee4fca8  EFLAGS: 00010246
kernel: RAX: ffff88016ca00000 RBX: ffff8801a3d8d280 RCX: 0000000000000000
kernel: RDX: ffffc90011981000 RSI: 0000000000000000 RDI: ffffc90411980ffc
kernel: RBP: ffff88018ee4fcd8 R08: 0000000000020704 R09: 000000000000001f
kernel: R10: 0000000000000094 R11: 0000000000000000 R12: 00000000ffffffff
kernel: R13: ffff8801a3d8d258 R14: 00000000000081c1 R15: ffff88018ee4fd20
kernel: FS:  00007f106ad89980(0000) GS:ffff8801afc80000(0000) knlGS:0000000000000000
kernel: CS:  0010 DS: 0000 ES: 0000 CR0: 000000008005003b
kernel: CR2: ffffc90411980ffc CR3: 000000018ee85000 CR4: 00000000000007e0
kernel: Stack:
kernel:  ffff88018ee4fcc0 ffff8801a3d8c000 ffff8801a3d8d280 0000000000000000
kernel:  0000000000000000 ffff88018ee4fd20 ffff88018ee4fd78 ffffffffa00bd2f7
kernel:  ffff8801a3d8d280 000000008ee4fd00 ffff8801a3d8ca18 ffff8801a3d8c018
kernel: Call Trace:
kernel:  [<ffffffffa00bd2f7>] radeon_gpu_reset+0xa7/0x240 [radeon]
kernel:  [<ffffffffa00827f1>] ? ttm_bo_wait+0x171/0x180 [ttm]
kernel:  [<ffffffffa0082fed>] ? ttm_bo_add_to_lru+0x8d/0xc0 [ttm]
kernel:  [<ffffffffa00e9dbe>] radeon_gem_handle_lockup.part.5+0xe/0x20 [radeon]
kernel:  [<ffffffffa00ea7d8>] radeon_gem_wait_idle_ioctl+0xb8/0xd0 [radeon]
kernel:  [<ffffffffa0014122>] drm_ioctl+0x512/0x640 [drm]
kernel:  [<ffffffff8101ba71>] ? init_fpu+0x51/0xb0
kernel:  [<ffffffff8101cc08>] ? __restore_xstate_sig+0x218/0x500
kernel:  [<ffffffff811b9fbd>] do_vfs_ioctl+0x2dd/0x4b0
kernel:  [<ffffffff811ba211>] SyS_ioctl+0x81/0xa0
kernel:  [<ffffffff81656a19>] system_call_fastpath+0x16/0x1b
kernel: Code: 48 85 c0 49 89 07 74 7b 41 8d 56 ff 31 c9 4c 8d 04 95 04 00 00 00 eb 06 0f 1f 00 49 8b 07 48 8b 53 08 41 8d 74 24 01 4a 8d 3c a2
kernel: RIP  [<ffffffffa00ebcd8>] radeon_ring_backup+0xc8/0x160 [radeon]
kernel:  RSP <ffff88018ee4fca8>
kernel: CR2: ffffc90411980ffc
kernel: ---[ end trace 26cdfeb4df4b470d ]---
Comment 4 Ian Firns 2013-11-18 20:08:08 EST
I'm also reliably seeing this on an AMD HD6790 for the past two weeks. Continues to crash within 2-30 minutes after boot up.

Also using nomodeset as a work around for the time being.
Comment 5 Marc Umbricht 2014-02-07 04:43:56 EST
Has this been resolved yet? I haven't had an opportunity to really use my computer recently, so I was wondering if this bug has been fixed in fedora 20.
Comment 6 Marc Umbricht 2014-02-07 09:51:20 EST
(In reply to Marc Umbricht from comment #5)
> Has this been resolved yet? I haven't had an opportunity to really use my
> computer recently, so I was wondering if this bug has been fixed in fedora
> 20.

I'm still getting this error.  Does anyone know what it is?
Comment 7 Fedora End Of Life 2015-05-29 05:44:07 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 8 Fedora End Of Life 2015-06-29 08:52:49 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.